xpidl.exe crashes on Windows

11 views
Skip to first unread message

Sandip Ghosh

unread,
Sep 27, 2006, 1:49:33 PM9/27/06
to dev-tec...@lists.mozilla.org
I am using xpidl.exe from gecko-sdk-win32-msvc-1.8.0.4.zip and trying to
generate header files from IDL files. I have glib-1.2.dll and libIDL-0.6.dll
from a VC 7.1 bundle and I am have VC 7.1 (Visual Studio.net 2003) installed
and it is picking up msvcrt71.dll for the C runtime. I get a crash only
while generating header files. I can generate XPT files fine. If anyone
aware of this issue and how to fix it ? Here is part of the call stack.

ntdll.dll!7c918fea()

msvcrt.dll!77c42d75()

ntdll.dll!7c90104b()

> msvcr71.dll!_lock_file(void * pf=0x77c5fce0) Line 236 C

msvcr71.dll!vfprintf(_iobuf * str=0x77c5fce0, const char *
format=0x1001b654, char * ap=0x0012fc80) Line 60 + 0x6 C

libIDL-0.6.dll!1000dfe2()

libIDL-0.6.dll!10011e2f()

libIDL-0.6.dll!1000c3ad()

libIDL-0.6.dll!1000ccf1()

libIDL-0.6.dll!10012755()

kernel32.dll!7c81095f()

libIDL-0.6.dll!10013345()

libIDL-0.6.dll!1000c3ad()

libIDL-0.6.dll!1001343b()

xpidl.exe!00401d89()

xpidl.exe!00404d47()

xpidl.exe!00401374()

Christian Biesinger

unread,
Sep 27, 2006, 6:21:23 PM9/27/06
to dev-tec...@lists.mozilla.org
Sandip Ghosh wrote:
> I am using xpidl.exe from gecko-sdk-win32-msvc-1.8.0.4.zip and trying to
> generate header files from IDL files. I have glib-1.2.dll and libIDL-0.6.dll
> from a VC 7.1 bundle and I am have VC 7.1 (Visual Studio.net 2003) installed

Shouldn't you use a VC6 libIDL/glib for the 1.8 branch? (i.e. wintools.zip)

Sandip Ghosh

unread,
Sep 27, 2006, 6:59:01 PM9/27/06
to Christian Biesinger, dev-tec...@lists.mozilla.org
Hey Christian,

Thanks that worked!
I had downloaded wintools.zip but did not extract it. I was following
instructions to build XulRunner, I probably got confused with the
instructions in these 2 links
http://developer.mozilla.org/en/docs/Windows_Build_Prerequisites

http://developer.mozilla.org/en/docs/Windows_Build_Prerequisites_on_the_1.7_
and_1.8_Branches

The first one suggests VC 7 or later is the required compiler to build
mozilla 1.8 onwards, the 2nd one suggests VC6 service pack 6 for 1.8 or 1.7.

I guess gecko-sdk binaries are built using VC6. Anyway, this works well for
me.

Thanks again,

-Sandip

_______________________________________________
dev-tech-xpcom mailing list
dev-tec...@lists.mozilla.org
https://lists.mozilla.org/listinfo/dev-tech-xpcom

Christian Biesinger

unread,
Sep 27, 2006, 10:37:09 PM9/27/06
to dev-tec...@lists.mozilla.org
Sandip Ghosh wrote:
> http://developer.mozilla.org/en/docs/Windows_Build_Prerequisites
>
> http://developer.mozilla.org/en/docs/Windows_Build_Prerequisites_on_the_1.7_
> and_1.8_Branches
>
> The first one suggests VC 7 or later is the required compiler to build
> mozilla 1.8 onwards

I can't find that text... It even has a table of supported compilers on
various branches:
http://developer.mozilla.org/en/docs/Windows_Build_Prerequisites#Table_of_supported_Visual_Studio_compilers

>, the 2nd one suggests VC6 service pack 6 for 1.8 or 1.7.
>
> I guess gecko-sdk binaries are built using VC6. Anyway, this works well for
> me.

Yep, that's correct. VC6 is the official compiler for 1.8.*.

Reply all
Reply to author
Forward
0 new messages